.app.transition .box h2 {
  opacity: 0;
  top: 10px;
}
.box {
  background: white;
  transition: 0.25s;
  box-shadow: 0 0 0 #0000;
  position: relative;
  overflow: hidden;
  .box-inner {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #222;
    .box-bg-image {
      background-size: cover;
      background-position: center;
      filter: grayscale(1) brightness(0.5);
    }
    .box-color {
      opacity: 0.5;
    }
    .box-color,
    .box-bg-image {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
    }
    .box-cover {
      transition: 0.5s;
      background: white;
      box-shadow: 0 0 30px 30px white;
      position: absolute;
      top: -200px;
      bottom: -200px;
      left: -50px;
      right: -50px;
      transform: translateY(0) skewY(-30deg);
    }
    h2 {
      pointer-events: none;
      position: relative;
      top: 0;
      transition: 0.5s;
      text-shadow: 0 2px 2px #0005;
      font-size: 25px;
      z-index: 1;
    }
  }
  &:hover {
    margin: -10px;
    padding: 10px;
    box-shadow: 0 10px 20px #0005;
    .box-cover {
      transform: translateY(-100%) skewY(-30deg);
    }
    h2 {
      color: white;
      text-shadow: 0 10px 10px #0005;
      font-size: 30px;
    }
  }
  &:active {
    margin: 0;
    padding: 0;
    box-shadow: 0 0 0 #0000;
    transition: 0s;
    h2 {
      transition: 0s;
      text-shadow: 0 2px 2px #0005;
      font-size: 25px;
    }
  }
}

@media (max-width: 1000px) {
  .app.transition {
    .box .box-inner .box-cover {
      transform: translateY(0) skewY(-30deg);
    }
  }
  .box {
    flex: auto;
    margin: 0 0 20px 0;
    &:hover {
      margin: 0 0 20px 0;
      padding: 0;
      box-shadow: none;
    }
    &:last-child {
      margin: 0;
    }
    .box-inner {
      .box-cover {
        transform: translateY(-100%) skewY(-30deg);
        top: -340px;
        bottom: -340px;
        transition: 1s;
      }
      h2 {
        color: white;
        text-shadow: 0 10px 10px #0005;
        font-size: 30px;
      }
    }
  }
}
